# Uses of Interface
org.eclipse.jdt.debug.core.IJavaWatchpoint

Packages that use IJavaWatchpoint
Package
Description
org.eclipse.jdt.debug.core
Provides an implementation of a debug model based on JPDA (Java Platform Debug Architecture).

## Uses of IJavaWatchpoint in org.eclipse.jdt.debug.core

Methods in org.eclipse.jdt.debug.core that return IJavaWatchpoint
Modifier and Type
Method
Description
`static IJavaWatchpoint`
JDIDebugModel.`createWatchpoint(IResource resource, String typeName, String fieldName, int lineNumber, int charStart, int charEnd, int hitCount, boolean register, Map<String,Object> attributes)`
Creates and returns a watchpoint on a field with the given name in a type with the given name.